[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

F10: samba permission and library dep issues after upgrading



Hi Folks,

I recently upgraded from FC8 to FC10 and have trouble getting my samba
server working again.

I have 2 problems that are probably coherent to each other.

First Problem:
When I try to connect to my samba shares I get this error:
'/share/path' does not exist or permission denied when connecting to [share
name] Error was Keine Berechtigung

The last two words mean: "Permission denied"

I checked my samba configuration and think that anything looks fine. I did
not change anything on that after upgrade. Also the directory permissions
remain unchanged.

During my research for solving this problem I stumbled over my second
problem:
when I try to execute this "smbclient -N -L localhost" on my samba server I
get this error:
smbclient: error while loading shared libraries: libldap-2.3.so.0: cannot
open shared object file: No such file or directory

I checked my library path and found that I have "libldap-2.4.so.2". Why is
smbclient looking for libldap-2.3?

The installed packages are the latest from FC10:
samba.i386  3.2.5-0.23.fc10
samba-client.i386  3.2.5-0.23.fc10

Any hint that helps me solving my problems is very appreciated!

Thanks & Regards,

Christian
-- 
View this message in context: http://www.nabble.com/F10%3A-samba-permission-and-library-dep-issues-after-upgrading-tp21049747p21049747.html
Sent from the Fedora List mailing list archive at Nabble.com.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]